> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Opt-in Prompt Conditions

> Fetches all opt-in prompt conditions for a website



## OpenAPI

````yaml /api-reference/misc-openapi.json get /prod/prompts/{idSite}/conditions
openapi: 3.1.0
info:
  title: other
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Analytics
    description: Analytics and reporting
  - name: Logs
    description: Activity logs
  - name: Pixels
    description: Tracking pixels
  - name: Prompts
    description: Subscription prompt management
paths:
  /prod/prompts/{idSite}/conditions:
    get:
      tags:
        - Prompts
      summary: Get Opt-in Prompt Conditions
      description: Fetches all opt-in prompt conditions for a website
      operationId: api-get-opt-in-prompt-conditions
      parameters:
        - name: idSite
          in: path
          description: Website ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 1234
                      page: '*'
                      promptId: 3836
                      autoPrompt: 1
                      idSite: 179
                      device_type: any
                      browser: safari
                      seconds_delay: null
                      scroll_delay: null
                      pages_delay: null
                      cookie_required: null
                      disabled: null
                      priority: 10
                      createdAt: '2020-06-01 14:47:45'
                      updatedAt: '2020-10-20 17:49:27'
                    - id: 5678
                      page: ''
                      promptId: 3793
                      autoPrompt: 1
                      idSite: 179
                      device_type: any
                      browser: firefox
                      seconds_delay: null
                      scroll_delay: null
                      pages_delay: null
                      cookie_required: null
                      disabled: null
                      priority: 5
                      createdAt: '2020-07-22 19:23:43'
                      updatedAt: '2020-07-22 19:24:21'
                    - id: 9012
                      page: ''
                      promptId: 3793
                      autoPrompt: 1
                      idSite: 179
                      device_type: mobile
                      browser: chrome
                      seconds_delay: null
                      scroll_delay: 0
                      pages_delay: null
                      cookie_required: null
                      disabled: null
                      priority: 2
                      createdAt: '2020-07-22 19:18:53'
                      updatedAt: '2020-07-22 19:18:53'
                    - id: 3456
                      page: '*'
                      promptId: 3793
                      autoPrompt: 1
                      idSite: 179
                      device_type: any
                      browser: any
                      seconds_delay: null
                      scroll_delay: null
                      pages_delay: null
                      cookie_required: null
                      disabled: null
                      priority: 0
                      createdAt: '2020-04-29 18:13:06'
                      updatedAt: '2020-08-27 19:42:55'
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 1234
                      default: 0
                    page:
                      type: string
                      example: '*'
                    promptId:
                      type: integer
                      example: 3836
                      default: 0
                    autoPrompt:
                      type: integer
                      example: 1
                      default: 0
                    idSite:
                      type: integer
                      example: 179
                      default: 0
                    device_type:
                      type: string
                      example: any
                    browser:
                      type: string
                      example: safari
                    seconds_delay: {}
                    scroll_delay: {}
                    pages_delay: {}
                    cookie_required: {}
                    disabled: {}
                    priority:
                      type: integer
                      example: 10
                      default: 0
                    createdAt:
                      type: string
                      example: '2020-06-01 14:47:45'
                    updatedAt:
                      type: string
                      example: '2020-10-20 17:49:27'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid token.
                  error_code:
                    type: integer
                    example: 71831
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````